<?php

/**
*
* @package wtu
* @version $Id: acp_wtu.php 2010-07-27 22:46:00Z PPCW2 $
* @copyright (c) 2010 PPCW2
* @license http://opensource.org/licenses/gpl-license.php GNU Public License
*
*/

/**
* @ignore
*/
if (!defined('IN_PHPBB'))
{
	exit;
}

class acp_wtu
{
	var $u_action;

	function main($id, $mode)
	{
		global $config, $db, $user, $auth, $template, $cache;
		global $phpbb_root_path, $phpbb_admin_path, $phpEx, $table_prefix;

		$user->add_lang('mods/info_acp_wtu');
   
		$this->page_title = $user->lang['WAS_THIS_USEFUL_TITLE'];
		$this->tpl_name = 'acp_wtu';
		
		add_form_key('acp_wtu');
		
		$template->assign_vars(array(
      'WTU_ENABLE' => $config['wtu_enable'],
      'WTU_LINK_ENABLE' => $config['wtu_link'],
      'WTU_BBCODE_ENABLE' => $config['wtu_bbcode'],
      'WTU_HTML_ENABLE' => $config['wtu_html'],
    ));

    $submit = (isset($_POST['submit'])) ? true : false;
    if ($submit && !check_form_key('acp_wtu'))
		{
			trigger_error($user->lang['FORM_INVALID']);
		}
		if ($submit)
		{
      set_config('wtu_enable', request_var('wtu_enable', 0));
      set_config('wtu_link', request_var('wtu_link', 0));
      set_config('wtu_bbcode', request_var('wtu_bbcode', 0));
      set_config('wtu_html', request_var('wtu_html', 0));
      trigger_error($user->lang['WAS_THIS_USEFUL_UPDATED'] . adm_back_link($this->u_action));
    }
	}
}

?>